QwtPolarCanvas(3)

NAME
QwtPolarCanvas -

Canvas of a QwtPolarPlot.

SYNOPSIS

#include <qwt_polar_canvas.h>

Inherits QFrame.

  Public Types
enum PaintAttribute { BackingStore = 0x01 }
Paint attributes.
typedef QFlags< PaintAttribute > PaintAttributes
Paint attributes.

  Public Member Functions
QwtPolarCanvas (QwtPolarPlot *)
Constructor.
virtual ~QwtPolarCanvas ()
Destructor.
QwtPolarPlot * plot ()
const QwtPolarPlot * plot () const
void setPaintAttribute (PaintAttribute, bool on=true)
Changing the paint attributes.
bool testPaintAttribute (PaintAttribute) const
const QPixmap * backingStore () const
void invalidateBackingStore ()
Invalidate the internal backing store.
QwtPointPolar invTransform (const QPoint &) const
QPoint transform (const QwtPointPolar &) const

  Protected Member Functions
virtual void paintEvent (QPaintEvent *)
virtual void resizeEvent (QResizeEvent *)

Detailed Description

Canvas of a QwtPolarPlot. The canvas is the widget, where all polar items are painted to.

Note:
    In opposite to QwtPlot all axes are painted on the canvas.

See Also:
    QwtPolarPlot

Member Enumeration Documentation

  enum QwtPolarCanvas::PaintAttribute

Paint attributes. The default setting enables BackingStore

See Also:
    setPaintAttribute(), testPaintAttribute(), backingStore()

Enumerator

BackingStore
    Paint double buffered and reuse the content of the pixmap buffer for some spontaneous repaints that happen when a plot gets unhidden, deiconified or changes the focus.

Member Function Documentation

  const QPixmap * QwtPolarCanvas::backingStore () const

Returns:
    Backing store, might be null

  QwtPointPolar QwtPolarCanvas::invTransform (const QPoint &pos) const
Translate a point from widget into plot coordinates

Parameters:
    pos Point in widget coordinates of the plot canvas

Returns:
    Point in plot coordinates

See Also:
    transform()

  void QwtPolarCanvas::paintEvent (QPaintEvent *event) [protected], [virtual]
Paint event

Parameters:
    event Paint event

  QwtPolarPlot * QwtPolarCanvas::plot ()

Returns:
    Parent plot widget

  const QwtPolarPlot * QwtPolarCanvas::plot () const

Returns:
    Parent plot widget

  void QwtPolarCanvas::resizeEvent (QResizeEvent *event) [protected], [virtual]
Resize event

Parameters:
    event Resize event

  void QwtPolarCanvas::setPaintAttribute (PaintAttributeattribute, boolon = true)

Changing the paint attributes.

Parameters:
    attribute Paint attribute
    on On/Off

The default setting enables BackingStore

See Also:
    testPaintAttribute(), paintCache()

  bool QwtPolarCanvas::testPaintAttribute (PaintAttributeattribute) const
Test wether a paint attribute is enabled

Parameters:
    attribute Paint attribute

Returns:
    true if the attribute is enabled

See Also:
    setPaintAttribute()

  QPoint QwtPolarCanvas::transform (const QwtPointPolar &polarPos) const
Translate a point from plot into widget coordinates

Parameters:
    polarPos Point in plot coordinates

Returns:
    Point in widget coordinates

See Also:
    transform()

Author

Generated automatically by Doxygen for Qwt Polar User's Guide from the source code.